Name:		tintii
Version:	2.10.0
Release:	%mkrel 3
Summary:	Utility for selective photo coloring
License:	GPLv2+
Group:		Graphics/Photography
Source0:	http://www.indii.org/files/tint/releases/%{name}-%{version}.tar.gz
Source1:	http://www.indii.org/images/%{name}_128.png
URL:		http://www.indii.org/software/tintii

# bc is used to detect wxgtk
BuildRequires:	bc
BuildRequires:	boost-devel
BuildRequires:	imagemagick
BuildRequires:	libgomp-devel
BuildRequires:	wxgtk-devel

%description
Tintii takes full color photos and processes them into black and white
with some select regions highlighted in color. The technique is known as color
popping or selective coloring – tintii makes it easy. Think Schindler’s List’s
little girl in red, or the dramatic style of Sin City. Tintii takes a color
photo and cleverly separates it into a handful of major hues. You then select
which colors to pop, and the rest become black & white.

%prep
%setup -q

%build
# The added CXXFLAGS are suggested in the README file
%ifarch x86_64
%define upstream_flags -msse2 -O3 -g3
%else
%define upstream_flags -O3 -g3
%endif

%configure2_5x CXXFLAGS="${CXXFLAGS} %{upstream_flags}"
%make_build

%install
%make_install

%__install -Dm 644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

# menu-entry
%__install -d %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=Tintii
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Categories=Graphics;Photography;
EOF

%files
%doc README
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.htb
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.*


%changelog
* Thu Jun 02 2016 daviddavid <daviddavid> 2.10.0-3.mga6
+ Revision: 1019823
- rebuild for wxgtk3.0 built with GTK2

* Wed Jan 13 2016 akien <akien> 2.10.0-2.mga6
+ Revision: 922856
- Enable opt recommended by upstream

* Tue Jan 12 2016 akien <akien> 2.10.0-1.mga6
+ Revision: 922292
- Version 2.10.0

* Fri Aug 14 2015 ycantin <ycantin> 2.9.0-7.mga6
+ Revision: 864736
- rebuild for new wxgtk built with wxRE_ADVANCED
- fix spec formatting
- typos

* Thu Jul 23 2015 akien <akien> 2.9.0-6.mga6
+ Revision: 856248
- Rebuild for wxgtk

* Wed Feb 11 2015 akien <akien> 2.9.0-5.mga5
+ Revision: 814660
- Rebuild against wxWidgets 3.0

* Wed Oct 15 2014 umeabot <umeabot> 2.9.0-4.mga5
+ Revision: 742820
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.0-3.mga5
+ Revision: 689894
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 akien <akien> 2.9.0-2.mga5
+ Revision: 639155
- Use upstream make install, adding a new file in %%_datadir/%%name
- Improve summary

* Tue Jun 24 2014 akien <akien> 2.9.0-1.mga5
+ Revision: 639142
- Version 2.9.0

* Sat Feb 15 2014 dams <dams> 2.8.2-1.mga5
+ Revision: 592393
- new version 2.8.2

* Sat Oct 19 2013 umeabot <umeabot> 2.6.1-2.mga4
+ Revision: 529643
- Mageia 4 Mass Rebuild

* Sat Feb 16 2013 neoclust <neoclust> 2.6.1-1.mga4
+ Revision: 398634
- imported package tintii


* Sat Mar 17 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 2.6.1-1mdv2012.0
+ Revision: 785454
- new version 2.6.1

* Mon Mar 12 2012 Dmitry Mikhirev <dmikhirev@mandriva.org> 2.6.0-1
+ Revision: 784413
- fix license
- new version 2.6.0

* Thu Jan 12 2012 Andrey Bondrov <abondrov@mandriva.org> 2.5.3-2
+ Revision: 760457
- Rebuild against utf8 wxGTK2.8, spec cleanup

* Wed Nov 02 2011 Alexander Khrukin <akhrukin@mandriva.org> 2.5.3-1
+ Revision: 709960
- imported package tintii

